org.apache.ignite.cdc

## Interface CdcEvent

- All Superinterfaces:
    Serializable

      public interface CdcEvent
      extends Serializable

  Event of single entry change. Instance presents new value of modified entry.
  See Also:
    `CdcMain`, `CdcConsumer`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `cacheId()`
    `long` | `expireTime()`
    `Object` | `key()`
    `int` | `partition()` Ignite split dataset into smaller chunks to distribute them across the cluster.
    `boolean` | `primary()`
    `@Nullable Object` | `value()`
    `CacheEntryVersion` | `version()`

- - ### Method Detail

    - #### key

          Object key()

      Returns:
        Key for the changed entry.

    - #### value

          @Nullable
          @Nullable Object value()

      Returns:
        Value for the changed entry or `null` in case of entry removal.

    - #### primary

          boolean primary()

      Returns:
        `True` if event fired on primary node for partition containing this entry.
      See Also:
        Configuring partition backups.

    - #### partition

          int partition()

      Ignite split dataset into smaller chunks to distribute them across the cluster. `CdcConsumer` implementations can use `partition()` to split changes processing in the same way as it done for the cache.
      Returns:
        Partition number.
      See Also:
        `Affinity.partition(Object)`, `Affinity.partitions()`, Data partitioning, Affinity collocation

    - #### version

          CacheEntryVersion version()

      Returns:
        Version of the entry.

    - #### cacheId

          int cacheId()

      Returns:
        Cache ID.
      See Also:
        `GridCacheUtils.cacheId(String)`, `CacheView.cacheId()`

    - #### expireTime

          long expireTime()

      Returns:
        Time when entry will be removed from cache. If `0` then entry will be cached until removed.
      See Also:
        `IgniteCache.withExpiryPolicy(ExpiryPolicy)`, `CacheConfiguration.setExpiryPolicyFactory(Factory)`, `GridCacheUtils.EXPIRE_TIME_ETERNAL`

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023